Subject: Re: bug#48370: native-comp

From: Andrea Corallo <[email-masked]>
Date: Tue, 11 May 2021 22:09:35 +0000

Konrad Podczeck <[email-masked]> writes:

> I have compiled Emacs with the option --with-native-compilation. But then, after starting Emacs, I get more that 80 error messages, all having the form:
>
> Warning (comp): libgccjit.so: error: error invoking gcc driver Disable showing Disable logging
> Warning (comp):
> /Users/konradpodczeck/Git/emacs-28/nextstep/Emacs.app/Contents/Resources/lisp/emacs-lisp/cl-lib.el.gz:
> Error: Internal native compiler error failed to compile Disable
> showing Disable logging
>
> (This was the first one, the following ones differ just in the el-file invoked.)
>
> I am using gcc 11.1.0 and libgccjit 11.1.0, both installed from homebrew on macos “big sur."

Hi Konrad,

this should be a duplicate of 47783 (environment related issue), please
have a look.

Regards

  Andrea